Class UmlClass

This class manages 'classes', notes that the class 'ClassItem'
is a mother class of the class's children.
You can modify it as you want (except the constructor)

Declaration :

- C++ : class UmlClass : public UmlBaseClass
- Java : class UmlClass extends UmlBaseClass

Artifact : UmlClass

Operation UmlClass

Declaration :

- Uml : + UmlClass(in id : item_id, in n : string) :
- C++ : public: UmlClass(void * id, const QCString & n) : UmlBaseClass(id, n)
- Java : public UmlClass(long id, String n)

All public operations : actuals , addFormal , apply , applyStereotype , associatedArtifact , associatedComponents , associatedDiagram , baseType , children , childrenVisible , constraint , cppDecl , cppVisibility , create , defined_ , deleteIt , description , findStereotype , formals , get , getIdentifier , identifier_ , idlDecl , isAbstract , isClassMember , isCppExternal , isIdlCustom , isIdlExternal , isIdlLocal , isJavaExternal , isJavaFinal , isJavaPublic , isMarked , isPhpExternal , isPhpFinal , isPython_2_2 , isPythonExternal , isToolRunning , isVolatile , isWritable , javaAnnotations , javaDecl , kind , kind , markedItems , moveAfter , name , parent , phpDecl , properties , propertyValue , pythonDecl , referencedBy , removeFormal , replaceActual , replaceFormal , set_AssociatedDiagram , set_BaseType , set_childrenVisible , set_Constraint , set_CppDecl , set_CppVisibility , set_Description , set_IdlDecl , set_isAbstract , set_isClassMember , set_isCppExternal , set_isIdlCustom , set_isIdlExternal , set_isIdlLocal , set_isJavaExternal , set_isJavaFinal , set_isJavaPublic , set_isMarked , set_isPhpExternal , set_isPhpFinal , set_isPython_2_2 , set_isPythonExternal , set_isVolatile , set_JavaAnnotations , set_JavaDecl , set_Name , set_Name , set_PhpDecl , set_PropertyValue , set_PythonDecl , set_Stereotype , set_SwitchType , set_Visibility , stereotype , supportFile , switchType , unload , unload , unload , visibility